function [testnonnul,Cx,Cy]=prepar_enveloppe(simpli,a,b,c);

% prepar_developee prpare le trac de courbe enveloppe d'une famille de droites
%
% [testnonnul,Cx,Cy]=prepar_enveloppe(simpli,a,b,c) : 
%  
%	variables d'entres : 
%     * simpli : entier qui gal  un force la simplification (qui ne marche pas toujours)
%     * a,b,c  : trois chanes de caractre de la forme 'a(t)', 'b(t)' et  'c(t)'
%                     o t est la seule variable  reprsentant la famille de droites
%                     d'quation a(t)x+b(t)y+c(t)=0
%
%	variables de sortie : 
%     * testnonnul : fonction test  une composante qui, nulle, indique que 
%                   les coordonnes du point caractristique ne sont pas calculables.
%     * Cx et Cy : les coordonnes du caractristique dans le repre global (O,i,j)
%                   (en fonction inline)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

asy=sym(a);
bsy=sym(b);
csy=sym(c);
apsy=diff(asy);
bpsy=diff(bsy);
cpsy=diff(csy);
if simpli
   delta=simplify(asy*bpsy-apsy*bsy);
   auxiCx=-simplify((csy*bpsy-cpsy*bsy)/delta);
   auxiCy=-simplify((asy*cpsy-apsy*csy)/delta);
else
   delta=asy*bpsy-apsy*bsy;
   auxiCx=-(csy*bpsy-cpsy*bsy)/delta;
   auxiCy=-(asy*cpsy-apsy*csy)/delta;
end
syms t;
auxiCx=vectorize(char(auxiCx));
auxiCy=vectorize(char(auxiCy));
Cx=inline(auxiCx,'t');
Cy=inline(auxiCy,'t');
% calcul de testnnonul
testnonnul=vectorize(char(delta));
testnonnul=inline(testnonnul,'t');
